Name: pari
Version: 2.2.10.alpha
Release: alt1

Summary: computer algebra system for fast computations in number theory
License: GPL
Group: Sciences/Mathematics
Url: http://megrez.math.u-bordeaux.fr

Source0: %url/pub/pari/unstable/%name-%version.tar.gz
Source1: %name.menu
Patch0: %name-2.2.9.alpha-alt-doc.patch
Patch1: %name-2.2.10.alpha-alt-makefile.patch

BuildPreReq: tetex-latex

# Automatically added by buildreq on Fri Mar 04 2005
BuildRequires: libreadline-devel xorg-x11-devel xorg-x11-libs

%description
PARI/GP is a widely used computer algebra system designed 
for fast computations in number theory (factorizations, 
algebraic number theory, elliptic curves...). It also contains
a large number of other useful functions to compute 
with mathematical entities such as matrices, polynomials,
power series, algebraic numbers etc., and a lot of 
transcendental functions.

%package -n lib%name
Summary: library for fast computations in number theory
Group: Sciences/Mathematics

%description -n lib%name
PARI is a library for fast computations in number theory (factorizations,
algebraic number theory, elliptic curves...). It also contains a large
number of other useful functions to compute with mathematical entities
such as matrices, polynomials, power series, algebraic numbers etc., and
a lot of transcendental functions.

lib%name is part of the computer algebra system PARI/GP.

%package -n lib%name-devel
Summary: libpari header files
Group: Sciences/Mathematics
Requires: lib%name = %version-%release, libgmp-devel

%description -n lib%name-devel
PARI/GP is a widely used computer algebra system
designed for fast computations in number theory.

Install this package if you need to develop applications
in C or C++ that use libpari.

%package doc
Summary: Pari/GP documentation
Group: Sciences/Mathematics
Requires: tetex-xdvi

%description doc
PARI/GP is a widely used computer algebra system
designed for fast computations in number theory.

Install this package if you need documentation on PARI/GP
and examples of its usage.

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
./Configure --with-gmp --prefix=%_prefix
%make gp

%install
%make_install DESTDIR=%buildroot install
%__rm -rf %buildroot/%_datadir/%name/%name.desc
%__rm -rf %buildroot/%_datadir/%name/PARI

%__install -m 755 -d %buildroot/%_menudir
%__install -m 644 %SOURCE1 %buildroot/%_menudir/%name

%__mkdir_p %buildroot/%_liconsdir
%__install -m 644 misc/%name.xpm %buildroot/%_liconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%files
%_bindir/*
%_man1dir/*
%_liconsdir/%name.xpm
%_menudir/%name
%_datadir/%name/misc/

%files -n lib%name
%_libdir/lib*

%files -n lib%name-devel
%_includedir/*
%_libdir/pari

%files doc
%doc %_datadir/%name/doc/
%doc %_datadir/%name/examples/

%changelog
* Sun Apr 24 2005 Alex V. Myltsev <avm@altlinux.ru> 2.2.10.alpha-alt1
- version 2.2.10.alpha

* Sat Mar 05 2005 Alex V. Myltsev <avm@altlinux.ru> 2.2.9.alpha-alt1
- ALT adaptation.

